<div class="modal-header">
  <ng-container [ngSwitch]="mode">
    <h5 class="modal-title" *ngSwitchCase="'add'">Neue Probenphase hinzufügen</h5>
    <h5 class="modal-title" *ngSwitchCase="'edit'">Probenphase bearbeiten</h5>
    <h5 class="modal-title" *ngSwitchCase="'duplicate'">Probenphase duplizieren</h5>
  </ng-container>
  <button type="button" class="close" aria-label="Close" (click)="bsModalRef.hide()">
    <span aria-hidden="true">&times;</span>
  </button>
</div>
<div class="modal-body">
  <tabset [justified]="true">
    <tab heading="Daten">
      <eos-event-group-form [eventgroup]="eventgroup"></eos-event-group-form>
    </tab>
    <tab heading="Zielgruppe">
      <eos-target-group [eventgroup]="eventgroup" [ensembleId]="ensembleId" [target]="'eventgroup'" [project]="project" (changeTargetEmitter)="changeTarget($event)" [mode]="'add'"></eos-target-group>
    </tab>
    <tab heading="Anmeldung">
      <eos-announcement-configuration [eventgroup]="eventgroup"></eos-announcement-configuration>
    </tab>
  </tabset>
</div>
<div class="modal-footer">
  <button type="button" class="btn btn-secondary" (click)="bsModalRef.hide()">Schließen</button>
  <button type="button" class="btn btn-success" (click)="submit()"><i class="fas fa-save"></i> speichern </button>
</div>


